Subject: Re: linux-next: manual merge of the lost-spurious-irq tree with the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 5 Oct 2010 17:45:24 +1100

Hi Ingo,

On Tue, 5 Oct 2010 08:32:27 +0200 Ingo Molnar <[email-masked]> wrote:
>
> Please send irq merge requests to Thomas instead and wait for those 
> genirq bits to show up upstream. (You did so in the past and the review 
> process was ongoing AFAICS)
> 
> Otherwise we would be dilluting linux-next testing with random side 
> effects from a tree that wasnt yet (in that form) scheduled to go 
> upstream by its respective maintainer at that time.
> 
> We were lucky that this showed up as merge complications - what if 
> instead it merged 'fine' on the textual and build/boot level but 
> mis-merged on the functional level in subtle ways? Thomas would be 
> sending something to Linus that was never really tested in linux-next in 
> that form, caused problems upstream, and Linus would be rightfully upset 
> about the situation.
> 
> Stephen, you need to enforce such things ...

At the time that this tree was added to linux-next (in July), I responded
to Tejun like this:

------------------------------------------------------------------------
From: Stephen Rothwell <[email-masked]>
To: Tejun Heo <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Thomas Gleixner <[email-masked]>, Ingo Molnar <[email-masked]>, "H. Peter Anvin" <[email-masked]>, Peter Zijlstra <[email-masked]>, LKML <[email-masked]>
Subject: Re: linux-next: please pull in from lost-spurious-irq branch
Date: Thu, 29 Jul 2010 01:35:09 +1000

Hi Tejun,

On Wed, 28 Jul 2010 15:50:55 +0200 Tejun Heo <[email-masked]> wrote:
>
> If possible, can you please pull the following branch into linux-next?
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/tj/misc.git lost-spurious-irq
> 
> It's scheduled to go through tip/genirq, so once it shows up in tip,
> the above branch can be dropped from linux-next.  As the merge window
> is closing in, I'm hoping to get it tested enough in linux-next.  The
> branch is based on rc3 but merges without conflict into the current
> mainline.

OK, added from today.  I'll keep an eye out for it in the tip tree.

------------------------------------------------------------------------

Not sure what I can do beyond making sure that all relevant people are
informed about what trees are being merged.  There is a certain amount of
good faith involved in all our development processes.

In any case, it will be dropped tomorrow.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/